=== modified file 'bzrlib/tests/test_ssh_transport.py'
--- bzrlib/tests/test_ssh_transport.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/test_ssh_transport.py	2009-08-22 05:01:55 +0000
@@ -76,7 +76,11 @@
         manager = TestSSHVendorManager()
         self.assertRaises(SSHVendorNotFound, manager.get_vendor, {})
         manager.set_ssh_version_string("plink")
-        self.assertIsInstance(manager.get_vendor({}), PLinkSubprocessVendor)
+        # Auto-detect of plink vendor disabled, on Windows recommended
+        # default ssh-client is paramiko
+        # see https://bugs.launchpad.net/bugs/414743
+        #~self.assertIsInstance(manager.get_vendor({}), PLinkSubprocessVendor)
+        self.assertRaises(SSHVendorNotFound, manager.get_vendor, {})
 
     def test_cached_vendor(self):
         manager = TestSSHVendorManager()

=== modified file 'bzrlib/transport/ssh.py'
--- bzrlib/transport/ssh.py	2009-07-20 21:28:29 +0000
+++ bzrlib/transport/ssh.py	2009-08-22 05:01:55 +0000
@@ -123,12 +123,15 @@
         elif 'SSH Secure Shell' in version:
             trace.mutter('ssh implementation is SSH Corp.')
             vendor = SSHCorpSubprocessVendor()
-        elif 'plink' in version and args[0] == 'plink':
-            # Checking if "plink" was the executed argument as Windows
-            # sometimes reports 'ssh -V' incorrectly with 'plink' in it's
-            # version.  See https://bugs.launchpad.net/bzr/+bug/107155
-            trace.mutter("ssh implementation is Putty's plink.")
-            vendor = PLinkSubprocessVendor()
+        # Auto-detect of plink vendor disabled, on Windows recommended
+        # default ssh-client is paramiko
+        # see https://bugs.launchpad.net/bugs/414743
+        #~elif 'plink' in version and args[0] == 'plink':
+        #~    # Checking if "plink" was the executed argument as Windows
+        #~    # sometimes reports 'ssh -V' incorrectly with 'plink' in it's
+        #~    # version.  See https://bugs.launchpad.net/bzr/+bug/107155
+        #~    trace.mutter("ssh implementation is Putty's plink.")
+        #~    vendor = PLinkSubprocessVendor()
         return vendor
 
     def _get_vendor_by_inspection(self):

